package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TdPropertyNet;

/**
 * 涉密网络设备Service接口
 * 
 * @author ruoyi
 * @date 2024-05-09
 */
public interface ITdPropertyNetService 
{
    /**
     * 查询涉密网络设备
     * 
     * @param netId 涉密网络设备主键
     * @return 涉密网络设备
     */
    public TdPropertyNet selectTdPropertyNetByNetId(String netId);

    /**
     * 查询涉密网络设备列表
     * 
     * @param tdPropertyNet 涉密网络设备
     * @return 涉密网络设备集合
     */
    public List<TdPropertyNet> selectTdPropertyNetList(TdPropertyNet tdPropertyNet);

    /**
     * 新增涉密网络设备
     * 
     * @param tdPropertyNet 涉密网络设备
     * @return 结果
     */
    public int insertTdPropertyNet(TdPropertyNet tdPropertyNet);

    /**
     * 修改涉密网络设备
     * 
     * @param tdPropertyNet 涉密网络设备
     * @return 结果
     */
    public int updateTdPropertyNet(TdPropertyNet tdPropertyNet);

    /**
     * 批量删除涉密网络设备
     * 
     * @param netIds 需要删除的涉密网络设备主键集合
     * @return 结果
     */
    public int deleteTdPropertyNetByNetIds(String netIds);

    /**
     * 删除涉密网络设备信息
     * 
     * @param netId 涉密网络设备主键
     * @return 结果
     */
    public int deleteTdPropertyNetByNetId(String netId);
}
